Main Page Widgets Namespaces Book

# Pango::LayoutLineTraits Struct Reference

List of all members.

## Public Types

typedef Glib::RefPtr<LayoutLine> | CppType
typedef PangoLayoutLine* | CType
typedef PangoLayoutLine* | CTypeNonConst

## Static Public Member Functions

static void | release_c_type (CType ptr)
static CType | to_c_type (CType ptr)
static CType | to_c_type (const CppType& ptr)
static CppType | to_cpp_type (CType ptr)

## Member Typedef Documentation

typedef Glib::RefPtr<LayoutLine> Pango::LayoutLineTraits::CppType

typedef PangoLayoutLine* Pango::LayoutLineTraits::CType

typedef PangoLayoutLine* Pango::LayoutLineTraits::CTypeNonConst

## Member Function Documentation

static void Pango::LayoutLineTraits::release_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Pango::LayoutLineTraits::to_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Pango::LayoutLineTraits::to_c_type | ( | const CppType& | ptr | ) | `[inline, static]`

static CppType Pango::LayoutLineTraits::to_cpp_type | ( | CType | ptr | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- layoutline.h